/* eslint no-unused-vars: "off" */
/* eslint-env es6*/
// Put this file in path/to/plugin/amd/src
// You can call it anything you like

import Vue from './vue/vue';

import RVComponents from './report-viewer-components';
Vue.use(RVComponents);

import PortalVue from './portal-vue/portal-vue.esm';
Vue.use(PortalVue);
import BootstrapVue from './bootstrap-vue/bootstrap-vue';
Vue.use(BootstrapVue);

/**
 * Initialize the Page
 * @param {string} type Type of page to show
 * @param {Object} arg1 Argument1 as passed
 */
 export function init(type = "own", arg1) {
    let app = new Vue({
        el: '#root',
        data: {
            "studyplans": [],
            "type": type,
            "invitekey": (type == "invited") ? arg1 : null,
            "userid": (type == "other") ? arg1 : null,
        },
        methods: {

        },
    });

}

